
Redmine - Defect #26778

Invalid "theme-*" CSS class in body element when theme name contains spaces

2017-08-28 16:20 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Themes Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed Affected version:  

Description

The body element in HTML has CSS classes correspond to the current theme, project, controller and action.

But "theme-*" class name is broken when the directory name of the theme includes "_" or " ". Assume that you have installed a

theme whose directory name is "foo_bar". Redmine will generate a class name "theme-Foo bar". But it is clearly broken because a

whitespace is used as a separater.

Here is an example.

<body class="theme-Foo bar project-ecookbook controller-issues action-index avatars-off">

Associated revisions

Revision 23144 - 2024-10-19 10:21 - Go MAEDA

Fix invalid "theme-*" CSS class in body element when theme name contains spaces (#26778).

Patch by Go MAEDA (user:maeda).

History

#1 - 2017-09-17 18:38 - Toshi MARUYAMA

- Description updated

#2 - 2024-10-17 03:53 - Go MAEDA

I propose the following change:

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb

index b11619088..8d390d6f7 100644

--- a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb

@@ -863,7 +863,7 @@ module ApplicationHelper

   def body_css_classes

     css = []

     if theme = Redmine::Themes.theme(Setting.ui_theme)

-      css << 'theme-' + theme.name

+      css << 'theme-' + theme.name.tr(' ', '_')

     end

     css << 'project-' + @project.identifier if @project && @project.identifier.present?

#3 - 2024-10-19 02:17 - Go MAEDA

- File 26778.patch added

- Target version set to 6.0.0

Setting the target version to 6.0.0.

#4 - 2024-10-19 10:21 - Go MAEDA

- Subject changed from Wrong CSS class for themes if its name includes "_" or " " to Invalid "theme-*" CSS class in body element when theme name

contains spaces

- Status changed from New to Closed

2025-05-17 1/2



- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23144.

Files

26778.patch 1.08 KB 2024-10-19 Go MAEDA
